QGIS Application - Bug report #19451
GDAL Import vector into PostGIS
2018-07-20 02:46 AM - Stephen Knox

Status: Closed

Priority: Normal
Assignee:

Category: Processing/GDAL

Affected QGIS version:3.3(master)
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 27279

Description

When using seemingly any vector layer in v3 the data source is not automatically populated, and instead path_to_data_file layer_name

are populated in the GDAL command which is the default.

I've investigated this and come up with a patch which | will share, probably on GitHub, but | don't know enough about the "right" way to do

it.

Associated revisions

Revision ed94b693 - 2018-07-25 12:20 AM - Nyall Dawson

[processing][gdal] Fix layer paths are sometimes incorrect within command preview

Fixes #19451

Revision 27d447b7 - 2018-07-25 12:20 AM - Nyall Dawson

[processing][gdal] Ignore 'selected features only' setting when

creating command preview

Since this has no meaning outside of a QGIS session

Refs #19451

Revision 9ba794c1 - 2018-07-25 02:36 AM - Nyall Dawson

[processing][gdal] Fix layer paths are sometimes incorrect within command preview

Fixes #19451

(cherry-picked from ed94b69)

Revision 3d3be641 - 2018-07-25 02:36 AM - Nyall Dawson

[processing][gdal] Ignore 'selected features only' setting when

creating command preview
Since this has no meaning outside of a QGIS session

Refs #19451

(cherry-picked from 27d447b79)

History

#1 - 2018-07-20 11:17 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Python plugins to Processing/GDAL

What exact tool is this ticket about? Patches are welcome, and the right place where to submit them is on Github. Thanks!

#2 - 2018-07-20 12:07 PM - Stephen Knox
Sorry, that will teach me to write tickets in the early hours. It should say GDAL Import vector into PostGlIS. Can someone change the title?
But it is specifically the code in python/plugins/processing/algs/gdal/GdalAlgorithm.py getOgrCompatibleSource(...) that | think needs changing as it

doesn't return addressable data source objects for layers so obviously can't write those out in text format for ogr2ogr. | think that probably affects multiple

plugins.

#3 - 2018-07-20 01:57 PM - Giovanni Manghi
- Subject changed from GDAL Import vector into QGIS to GDAL Import vector into PostGIS
- Status changed from Feedback to Open

#4 - 2018-07-25 12:19 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ed94b693e9f26c5ba5dc890a4e0e18f69bb3e519.
